Subject: bug#7005: 24.0.50; Devanagari rendering broken

From: Ramkumar Ramachandra <[email-masked]>
Date: Fri, 10 Sep 2010 10:21:27 +0530

Hi Kenichi,

Kenichi Handa writes:
> In article <20100909160424.GA16852@kytes>, Ramkumar Ramachandra <[email-masked]> writes:
> 
> > Steps to reproduce:
> > Open a file containing UTF-8 Devanagari script in Emacs. It is rendered
> > incorrectly. For example, in the word "लिखने", The first and second
> > rendered characters are swapped. Konsole (Qt) renders this correctly.
> 
> Emacs 23 and later shifted the support of Indic (and any
> other complex scripts) to OpenType fonts.  And, on
> GNU/Linux, you need libotf, m17n-db, and m17n-lib to make
> Emacs render those scripts correctly by OTF.

Thanks for the explanation.

> > A page on the EmacsWiki suggests a workaround that works on Ubuntu
> > though [1].
> 
> It's not a "workaround" but the right thing on GNU/Linux
> systems.

I see. Well, I suppose I should put it like this then:
1. Emacs should then refuse to render Devanagari without the required
   libraries, not render them incorrectly.
2. I have those libraries installed on my Debian Sid machine, and
   Emacs still doesn't render them correctly. I don't suppose this
   belongs here- I'll head over to bugs.debian.org.

Thanks.

-- Ram